Get a webhook endpoint
GET /v1/webhook-endpoints/{endpoint_id} — Get a webhook endpoint. Requires scope webhooks:read.
Requires scope: webhooks:read. Plan entitlement: public_api (Creator and Pro).
API key (bf_live_… / bf_test_…) as a Bearer token.
In: header
Path Parameters
Endpoint ID from List webhook endpoints
1 <= lengthResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/webhook-endpoints/string"{ "id": "string", "url": "string", "status": "ACTIVE", "disabled_reason": "string", "event_types": [ "contact.created" ], "consecutive_failures": 0, "last_success_at": "2019-08-24T14:15:22Z", "last_failure_at": "2019-08-24T14:15:22Z", "previous_secret_expires_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Create a webhook endpoint POST
POST /v1/webhook-endpoints — Register a public HTTPS URL for event delivery. The URL is SSRF-screened, then must accept a SIGNED endpoint.test event with 2xx…
Update a webhook endpoint PATCH
PATCH /v1/webhook-endpoints/{endpoint_id} — Change the URL (re-verified with a signed test event first), the subscribed event types, or enable/disable delivery…